Main Page Class Hierarchy Compound List File List Compound Members File Members

# Amovie Class Reference

`#include <movie.h>`

Inheritance diagram for Amovie::

List of all members.

## Public Types
enum | { CURRENT = -100, FIRST, LAST, NEXT, PREVIOUS }
enum | { typeNORMAL, typeSTREAMLOAD, typeFLIFLCLOAD }
## Public Methods
virtual ACI * | getCI ()
ADLL | Amovie (char *name, int w, int h, int nbBits, int nbFrames=0)
ADLL | Amovie (char *name, char *filename)
virtual ADLL | ~Amovie ()
ADLL void | clear ()
ADLL bool | remove (int pos=CURRENT)
ADLL bool | insert (class Abitmap *b=NULL, int pos=CURRENT)
ADLL bool | append (class Abitmap *b=NULL, int pos=CURRENT)
ADLL bool | select (int pos=NEXT)
ADLL bool | get (class Abitmap *b, int pos=CURRENT)
ADLL bool | get (class Abitmap *b, int xd, int yd, int wd, int hd, int xs, int ys, int ws, int hs, int state, int flags, float alpha, dword colorkey, int pos=CURRENT)
bool | open (char *filename)
void | close ()
bool | openFLI (char *filename)
void | closeFLI ()
bool | del (class bitmapL *bl)
## Public Attributes
bitmapL * | firstB
bitmapL * | lastB
bitmapL * | current
int | currentI
int | w
int | h
int | nbBits
int | nbFrames
int | type
bool | isOK
IAMMultiMediaStream * | m_pMMStream
IMediaStream * | m_pPrimaryVidStream
IDirectDrawMediaStream * | m_pDDStream
IDirectDrawSurface * | m_pDDSurfaceAnim
IDirectDrawStreamSample * | m_pSample
STREAM_TIME | fTime
bool | isLast
fli * | fliflc
Abitmap * | bfli
## Static Public Attributes
ADLL ACI | CI

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  CURRENT |
  FIRST |
  LAST |
  NEXT |
  PREVIOUS |

anonymous enum

  | Enumeration values:
  typeNORMAL |
  typeSTREAMLOAD |
  typeFLIFLCLOAD |

## Constructor & Destructor Documentation

ADLL Amovie::Amovie | ( | char * | name,
|  | int | w,
|  | int | h,
|  | int | nbBits,
|  | int | nbFrames = 0
| ) |

ADLL Amovie::Amovie | ( | char * | name,
|  | char * | filename
| ) |

virtual ADLL Amovie::~Amovie | ( |  | ) | `[virtual]`

## Member Function Documentation

ADLL bool Amovie::append | ( | class Abitmap * | b = NULL,
|  | int | pos = CURRENT
| ) |

ADLL void Amovie::clear | ( |  | ) |

void Amovie::close | ( |  | ) |

void Amovie::closeFLI | ( |  | ) |

bool Amovie::del | ( | class bitmapL * | bl | ) |

ADLL bool Amovie::get | ( | class Abitmap * | b,
|  | int | xd,
|  | int | yd,
|  | int | wd,
|  | int | hd,
|  | int | xs,
|  | int | ys,
|  | int | ws,
|  | int | hs,
|  | int | state,
|  | int | flags,
|  | float | alpha,
|  | dword | colorkey,
|  | int | pos = CURRENT
| ) |

ADLL bool Amovie::get | ( | class Abitmap * | b,
|  | int | pos = CURRENT
| ) |

virtual ACI* Amovie::getCI | ( |  | ) | `[inline, virtual]`

| Reimplemented from Anode.

ADLL bool Amovie::insert | ( | class Abitmap * | b = NULL,
|  | int | pos = CURRENT
| ) |

bool Amovie::open | ( | char * | filename | ) |

bool Amovie::openFLI | ( | char * | filename | ) |

ADLL bool Amovie::remove | ( | int | pos = CURRENT | ) |

ADLL bool Amovie::select | ( | int | pos = NEXT | ) |

## Member Data Documentation

ADLL ACI Amovie::CI`[static]`

| Reimplemented from Anode.

class Abitmap* Amovie::bfli

class bitmapL* Amovie::current

int Amovie::currentI

STREAM_TIME Amovie::fTime

class bitmapL* Amovie::firstB

struct fli* Amovie::fliflc

int Amovie::h

bool Amovie::isLast

bool Amovie::isOK

class bitmapL* Amovie::lastB

IDirectDrawMediaStream* Amovie::m_pDDStream

IDirectDrawSurface* Amovie::m_pDDSurfaceAnim

IAMMultiMediaStream* Amovie::m_pMMStream

IMediaStream* Amovie::m_pPrimaryVidStream

IDirectDrawStreamSample* Amovie::m_pSample

int Amovie::nbBits

int Amovie::nbFrames

int Amovie::type

int Amovie::w

The documentation for this class was generated from the following file:

- movie.h